Tech

150 HP multi-function printer types vulnerable to exploit

Tricking users into visiting a malicious webpage could allow malicious people to compromise 150 models of HP multi-function printers, according to F-Secure researchers.

The Finland-headquartered infosec firm said it had found “exploitable” flaws in the HP printers that allowed attackers to “seize control of vulnerable devices, steal information, and further infiltrate networks in pursuit of other objectives such as stealing or changing other data” – and, inevitably, “spreading ransomware.”

“In all likelihood, a lot of companies are using these vulnerable devices,” said F-Secure researchers Alexander Bolshev and Timo Hirvonen.

“To make matters worse, many organizations don’t treat printers like other types of endpoints. That means IT and security teams forget about these devices’ basic security hygiene, such as installing updates.”

Tricking a user into visiting a malicious website could, so F-Secure said, result in what the infosec biz described as a “cross-site printing attack.”

The heart of the attack is in the document printed from the malicious site: it contained a “maliciously crafted font” that gave the attacker code execution privileges on the multi-function printer.

Those privileges could be used to steal copies of documents sent to be printed, scanned or photocopied using the device. In addition, it could also be used as a toehold for further illicit network access, a favoured technique of ransomware gangs among others.

“While the researchers determined that exploiting the vulnerabilities is difficult enough to prevent many low-skilled attackers from using them, experienced threat actors could make use of them in more targeted operations,” warned F-Secure.

Booby-trapped font files are an age-old attack vector. Back in 2016 Cisco’s Talos infosec arm warned of a series of flaws in the Libgraphite library. Similarly, last year Microsoft issued a warning over exploitable flaws in Adobe Type Manager Library.

The vulns were publicly disclosed a month ago. The font vulnerability is tracked as CVE-2021-39238 and is listed as affecting HP Enterprise LaserJet, LaserJet Managed, Enterprise PageWide, and PageWide Managed product lines. It is rated as 9.3 out of 10 on the CVSS 3.0 severity scale.

Many organizations don’t treat printers like other types of endpoints. That means IT and security teams forget about these devices’ basic security hygiene, such as installing updates

A second hole is known as CVE-2021-39237 and affects the same printer models. Rated 7.1 on the CVSS v3.0 scale, HP described it only as an “information disclosure” flaw while F-Secure obliquely called it “exposed physical access port vulnerabilities.”

While not downplaying the seriousness of F-Secure’s findings, a malicious person gaining physical access to a networked device is generally seen as a trump card in infosec circles.

F-Secure advised putting MFPs inside a separate, firewalled VLAN as well as adding physical security controls including anti-tamper stickers and CCTV.

Updated firmware is available for download from HP, the company said in a statement.

The vulns are not related to F-Secure’s recent pwning of an HP printer to the extent of being able to play Doom on its screen. The Finnish firm have promised more about that later this year. ®


Source link

Related Articles

Back to top button